# REST API

All example API calls use the Pacifica Mainnet URL, but you can make the same requests against Testnet using the the Pacifica Testnet url.

Mainnet REST endpoint URL: <https://api.pacifica.fi/api/v1>\
Testnet REST endpoint URL: <https://test-api.pacifica.fi/api/v1>

Requests and responses use JSON.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
